#!/usr/bin/perl -w
############################################################################
# config file:  contains names of all web page templates
#               this is done to ensure that all of the web pages
#               displayed by escrow.pl are in the Templates directory.
#               if the actual file name/path was used, then it would
#               be possible for a user to make the escrow.pl program
#               display some other strange web page with their own
#               data values.
############################################################################
############################################################################
# path to sendmail program and any monitoring email addresses
############################################################################
$gt_send_mail ='/usr/sbin/sendmail -t ';

$gtgv{sendmail}=$gt_send_mail;
$gtgv{domain}  ='GlobalTalker.com';
$gtgv{gtipaddr}='208.251.230.27,'.      # ip addr of gt switch in omaha
                '205.179.27.3,'.        # ip addr of sanfran1
                '63.194.215.48';        # ip addr of a dsl line

#$gt_email_to   ='fax-gt@fax.infinex.com,aaron2@infinex.com,dennis@infinex.com';
$gt_email_to   ='aaron2@infinex.com,dennis@infinex.com,info@globaltalker.com';
$gt_email_billing_to   ='fax-test@fax.infinex.com,aaron2@infinex.com,dennis@infinex.com';
#$gt_email_to  ='aaron2@infinex.com';
$gt_from       ="globalta\@$gtgv{domain}";
$gt_bcc        ="sheldonyu\@infinex.com,jimlum\@infinex.com";
$gt_s_password ="12345";

$gtgv{email_800_from}="globalta\@$gtgv{domain}";  # used by 800 gt-lookup.pl
$gtgv{email_800_cc}  ="billing\@$gtgv{domain}";   # used by 800 gt-lookup.pl
$gtgv{email_800_bcc} ="sheldonyu\@infinex.com,jimlum\@infinex.com";   

############################################################################
# authorizenet credit card debit controls
############################################################################
$gtgv{authorizenet_id}  ='infinex';      # login id at authorizenet
$gtgv{authorizenet_mode}='test';         # either 'test' or null

############################################################################
# language controls
############################################################################
$gtgv{templatedir}='/homed/globalta/calendar/templates-';
$gtgv{lang}       ='Latin1';

############################################################################
# time zone controls
############################################################################
{ my($zlochr,$zlocda,$zgmthr,$zgmtda);
  ($zlochr,$zlocda)=(localtime(time))[2,3];   # local time hour and day
  ($zgmthr,$zgmtda)=(gmtime(time))[2,3];      # GMT hour and day
  if($zgmtda eq $zlocda)
  { $gtgv{adjtogmt}=$zgmthr-$zlochr;  # hours to adjust to GMT hour
  }
  else
  { $zadjhr=24 - $zlochr + $zgmthr;
    $gtgv{adjtogmt} = $zadjhr;
  }
}
############################################################################
# 800 email txt file names in template directory for Phone gt-lookup.pl code
############################################################################
$gtgv{email_800_debitbal}  ='email_800_debitbal.txt';
$gtgv{email_800_overdraw}  ='email_800_overdraw.txt';
$gtgv{email_800_recharge}  ='email_800_recharge.txt';
$gtgv{email_800_nocharge}  ='email_800_nocharge.txt';
$gtgv{email_800_norecharge}='email_800_norecharge.txt';
$gtgv{email_800_ccerror}   ='email_800_ccerror.txt';
$gtgv{email_800_error}     ='email_800_error.txt';

############################################################################
# max number of entries in a select list
############################################################################
$gtgv{max_user_select}   =8;
$gtgv{max_msgt_select}   =6;
$gtgv{max_800_select}   =20;

############################################################################
# max number of entries 
############################################################################
$gtgv{max_phone_cards}   =5;
$gtgv{max_city_phones}   =8;

############################################################################
# phone controls
############################################################################
$gtgv{voicemail}='14158829188';            # voice mail box appended to followme

############################################################################
# Administrative Userids
############################################################################
$gtgv{admin_id}     ="admin\@$gtgv{domain}";
$gtgv{billing_id}   ="billing\@$gtgv{domain}";
$gtgv{disburse_id}  ="disburse\@$gtgv{domain}";
$gtgv{legal_id}     ="legal\@$gtgv{domain}";
$gtgv{personnel_id} ="personnel\@$gtgv{domain}";

############################################################################
# Main Directories and master control files
############################################################################
#$gtgv{escrowdir}    =$gtgv{basedir};
$gtgv{escrowdir}    ='/homed/globalta/gt';


$gtgv{msgdb}='/homed/globalta/calendar/calendar_events.txt';
$gtgv{memdb}='/homed/globalta/calendar/member.txt';
$gtgv{ratetbl}='/homed/globalta/calendar/gt_rate_tbl.txt';
$gtgv{memsdb}='/homed/globalta/calendar/members';
$gtgv{phonesdb}='/homed/globalta/calendar/phonebook';
$gtgv{phonesdb}='/homed/globalta/calendar/phonebook';
#############################################################################
#  Select Lists
#############################################################################
@gtSelect=
( 'strCountry',
  'strCCType',
  'strPayType',
  'strCreditLine',
  'strAutoCredit'
);
#############################################################################
#  Calendar data format
#############################################################################
@gtDataDB=
( d_id,                        # req id number; only used by admin
  d_userid,                    # req email address
  d_eventkey,                  # opt event key
  d_phone,                     # opt phone number to call
  d_date,                      # req yyyymmdd time stamp
  d_title,                     # req title of message
  d_message,                   # req message
  d_durtime,                   # req duration time
  d_durunit                    # req duration unit
);
#############################################################################
#  User data format
#############################################################################
@gtMemDB=
( u_userid,                    # req account number
  u_email,                     # req email address
  u_passwd,                    # req passwd
  u_firstname,                 # req first name
  u_lastname,                  # req last name
  u_loc,                       # req location(city#phone:city#phone:city#phone)
  u_pcphone,                   # opt phone card phone number
  u_pcpin,                     # opt phone card pin number
  u_cc_type,                   # opt cc type
  u_cc_num,                    # opt cc number
  u_cc_exp,                    # opt cc expiration date
  u_cc_name,                   # opt cc name
  u_companyname,               # opt company name
  u_street,                    # req street address
  u_city,                      # req city
  u_state,                     # opt state
  u_zip,                       # opt zipcode
  u_country,                   # req country
  u_account,                   # req account type; basic, vip-1, vip-12
  u_info,                      # req info listing options
  u_control,                   # opt admin type userid
  u_pcp,                       # opt phone card (type#num#pin:type#num#pin)
  u_passwd_crypt,              # opt encrypted passwd
  u_privatekey,                # opt private key
  u_sms,                       # opt email pager address
  u_proinfo,                   # opt profile blocking info
  u_idtype,                    # opt id for Managers, Affiliate, or members
  u_forwardto,                 # opt forwarded-to phone number
  u_forwardfrom,               # opt forwarded-from phone number
  u_followme,                  # opt phone nums (1-415-882-9188,1-650-837-6337)
  u_idacct,                    # opt account id for triet/rich
  u_forwardtoext,              # opt forwarded-to extension
  u_gtfpackage,                # req GTF Package member selected
  u_gtflength,                 # req GTF contract length
  u_gtfextension,              # opt GTF extension for GTF plan C & D
  u_gtf6extension,             # opt GTF 6th extension for GTF plan D
  u_gtfpassword,               # opt GTF extension password for GTF plan D
  u_gtaffid,                   # opt referal affiliate ID
  u_gtfhistory,                # opt GTF plan switching history
  u_fee,                       # opt Monthly Fee for the GT Package
  u_signupdate,                # opt Signup Date
  u_commpackage,               # opt Current Commission Package
  u_currentmonth,              # opt number of months after activation
  u_paidmonth,                 # opt number of months that are paid after activation
  u_lastpaydate,               # opt Last Payment received date
  u_nextpaydate,               # opt Next payment due date
  u_payperiod,                 # opt monthly, quarterly or annually payment
  u_personalid,                # opt Personal ID Number 
  u_companyreg,                # opt company Register Number
  u_companynature,             # opt Company Nature
  u_ppcallingtime,             # opt Prepaid Calling Time
  u_memo,                      # opt Account Memo
  u_status,                    # opt Account Status
  u_paytype,                   # req paid by check or cc
  u_currentbal,                # req current account balance
  u_callback,                  # opt call back DID number
  u_callbackpin,               # opt call abck DID Pin number
  u_creditline,                # req credit line for calling time
  u_autocredit,                # req auto credit when balance at the preset level
  u_callbackdestnum,           # req call back forward to number
  u_junk                       # opt blank
);
#############################################################################
#  User data equivalence with calendar code; gtuv, in, var
#############################################################################
@gtMemCal=
(# 'u_account,strAccount,accountnum',
  'u_userid,strEmail,loginid',
  'u_email,strEmailAddress,strEmailAddress',
  'u_passwd,strPassword,password',
  'u_companyname,strCompanyName,strCompanyName',
  'u_firstname,strFirstName,firstname',
  'u_lastname,strLastName,lastname',
  'u_street,strStreet,strStreet',
  'u_city,strCity,strCity',
  'u_state,strState,strState',
  'u_zip,strZip,strZip',
  'u_country,strCountry,strCountry',
  'u_loc,strLoc,strLoc',
  'u_loccity,strLocCity,strLocCity',
  'u_loccity1,strLocCity1,strLocCity1',
  'u_loccity2,strLocCity2,strLocCity2',
  'u_loccity3,strLocCity3,strLocCity3',
  'u_loccity4,strLocCity4,strLocCity4',
  'u_loccity5,strLocCity5,strLocCity5',
  'u_loccity6,strLocCity6,strLocCity6',
  'u_loccity7,strLocCity7,strLocCity7',
  'u_loccity8,strLocCity8,strLocCity8',
  'u_loccity9,strLocCity9,strLocCity9',
  'u_locphone,strLocPhone,strLocPhone',
  'u_locphone1,strLocPhone1,strLocPhone1',
  'u_locphone2,strLocPhone2,strLocPhone2',
  'u_locphone3,strLocPhone3,strLocPhone3',
  'u_locphone4,strLocPhone4,strLocPhone4',
  'u_locphone5,strLocPhone5,strLocPhone5',
  'u_locphone6,strLocPhone6,strLocPhone6',
  'u_locphone7,strLocPhone7,strLocPhone7',
  'u_locphone8,strLocPhone8,strLocPhone8',
  'u_locphone9,strLocPhone9,strLocPhone9',
  'u_pcphone,strPCPhone,strPCPhone',
  'u_pcpin,strPCPin,strPCPin',
  'u_cc_type,strCCType,strCCType',
  'u_cc_num,strCCNum,strCCNum',
  'u_cc_exp,strCCExp,strCCExp',
  'u_cc_name,strCCName,strCCName',
  'u_account,strAccount,strAccount',
  'u_privatekey,strPrivateKey,strPrivateKey',
  'u_sms,strSMS,strSMS',
  'u_proinfo,strProInfo,strProInfo',
  'u_info,strInfo,strInfo',
  'u_idtype,strIdType,strIdType',
  'u_idacct,strIdAcct,strIdAcct',
  'u_forwardto,strForwardTo,strForwardTo',
  'u_forwardfrom,strForwardFrom,strForwardFrom',
  'u_followme,strFollowme,strFollowme',
  'u_gtfpackage,strGTFPackage,strGTFPackage',
  'u_gtflength,strGTFLength,strGTFLength',
  'u_gtfextension,strGTFExtension,strGTFExtension',
  'u_gtf6extension,strGTF6Extension,strGTF6Extension',
  'u_gtfpassword,strGTFPassword,strGTFPassword',
  'u_gtaffid,strGTAffID,strGTAffID',
  'u_fee,strFee,strFee',
  'u_signupdate,strSignupDate,strSignupDate',
  'u_commpackage,strCommPackage,strCommPackage',
  'u_currentmonth,strCurrentMonth,strCurrentMonth',
  'u_paidmonth,strPaidMonth,strPaidMonth',
  'u_lastpaydate,strLastPayDate,strLastPayDate',
  'u_nextpaydate,strNextPayDate,strNextPayDate',
  'u_payperiod,strPayPeriod,strPayPeriod',
  'u_personalid,strPersonalID,strPersonalID',
  'u_companyreg,strCompanyReg,strCompanyReg',
  'u_companynature,strCompanyNature,strCompanyNature',
  'u_ppcallingtime,strPrepaidCallingTime,strPrepaidCallingTime',
  'u_memo,strMemo,strMemo',
  'u_status,strStatus,strStatus',
  'u_paytype,strPayType,strPayType',
  'u_currentbal,strCurrentBal,strCurrentBal',
  'u_callback,strCallback,strCallback',
  'u_callbackpin,strCallbackPin,strCallbackPin',
  'u_creditline,strCreditLine,strCreditLine',
  'u_autocredit,strAutoCredit,strAutoCredit',
  'u_callbackdestnum,strCallbackDestNum,strCallbackDestNum'
);
#############################################################################
#  Fields that Billing can modify
#############################################################################
@gtBillDB=
( 'u_followme,strFollowme,strFollowme',
  'u_callback,strCallback,strCallback',
  'u_callbackpin,strCallbackPin,strCallbackPin',
  'u_callbackdestnum,strCallbackDestNum,strCallbackDestNum',
  'u_email,strEmailAddress,strEmailAddress',
  'u_firstname,strFirstName,firstname',
  'u_lastname,strLastName,lastname',
  'u_street,strStreet,strStreet',
  'u_city,strCity,strCity',
  'u_state,strState,strState',
  'u_zip,strZip,strZip',
  'u_country,strCountry,strCountry',
  'u_cc_type,strCCType,strCCType',
  'u_cc_num,strCCNum,strCCNum',
  'u_cc_exp,strCCExp,strCCExp',
  'u_cc_name,strCCName,strCCName',
  'u_account,strAccount,strAccount',
  'u_signupdate,strSignupDate,strSignupDate',
  'u_fee,strFee,strFee',
  'u_payperiod,strPayPeriod,strPayPeriod',
  'u_paytype,strPayType,strPayType',
  'u_nextpaydate,strNextPayDate,strNextPayDate',
  'u_status,strStatus,strStatus',
  'u_callback,strCallback,strCallback',
  'u_callbackpin,strCallbackPin,strCallbackPin',
  'u_creditline,strCreditLine,strCreditLine',
  'u_autocredit,strAutoCredit,strAutoCredit'
);
#############################################################################
#  Virtual Office DB
#############################################################################
@gtVODB=
( 'vo_userid,strEmail,loginid',                              # req email address
  'vo_passwd,strPassword,password',                          # req passwd
  'vo_firstname,strFirstName,firstname',                     # req first name
  'vo_lastname,strLastName,lastname',                        # req last name
  'vo_cc_type,strCCType,strCCType',                          # opt cc type
  'vo_cc_num,strCCNum,strCCNum',                             # opt cc number
  'vo_cc_exp,strCCExp,strCCExp',                             # opt cc expiration date
  'vo_cc_name,strCCName,strCCName',                          # opt cc name
  'vo_companyname,strCompanyName,strCompanyName',            # opt company name
  'vo_companyreg,strCompanyReg,strCompanyReg',               # opt company registration number
  'vo_companynature,strCompanyNature,strCompanyNature',      # opt company nature
  'vo_street,strStreet,strStreet',                           # req street address
  'vo_city,strCity,strCity',                                 # req city
  'vo_state,strState,strState',                              # opt state
  'vo_zip,strZip,strZip',                                    # opt zipcode
  'vo_country,strCountry,strCountry',                        # req country
  'vo_account,strAccount,strAccount',                        # req account type; basic, vip-1, vip-12
  'vo_800num,str800Num,str800Num',                           # opt forwarded-to phone number
  'vo_followme,strFollowMe,strFollowMe',                     # opt phone nums (1-415-882-9188,1-650-837-6337)
  'vo_idacct,strIDAcct, strIDAcct',                          # opt account id for triet/rich
  'vo_forwardtoext,strForwardToExt,strForwardToExt',         # opt forwarded-to extension
  'vo_gtfpackage,strGTFPackage,strGTFPackage',               # req GTF Package member selected
  'vo_gtaffid,strGTAffID,strGTAffID',                        # opt referal affiliate ID
  'vo_fee,strFee,strFee',                                    # opt Monthly Fee for the GT Package
  'vo_signupdate,strSignupDate,strSignupDate',               # opt Signup Date
  'vo_commpackage,strCommPackage,strCommPackage',            # opt Current Commission Package
  'vo_currentmonth,strCurrentMonth,strCurrentMonth',         # opt number of months after activation
  'vo_paidmonth,strPaidMonth,strPaidMonth',                  # opt number of months that are paid after activation
  'vo_lastpaydate,strLastPayDate,strLastPayDate',            # opt Last Payment received date
  'vo_nextpaydate,strNextPayDate,strNextPayDate',            # opt Next payment due date
  'vo_payperiod,strPayPeriod,strPayPeriod',                  # opt monthly, quarterly or annually payment
  'vo_personalid,strPersonalID,strPersonalID',               # opt Personal ID Number 
  'vo_junk,strJunk,strJunk'                                  # opt blank
);
#############################################################################
#  gt Switch Phone Log data format                                     
#############################################################################
@gtLogDB=
( 'b_date',
  'b_time',
  'b_ipaddr',
  'b_opr',
  'b_code',
  'b_id',
  'b_timein',
  'b_timeout',
  'b_fwdto',
  'b_fwdtoext',
  'b_toextlng',
  'b_fwdfrom',
  'b_followme',
  'b_charge',
  'b_rate',
  'b_country',
  'b_timetot'
);
#############################################################################
#  gt Switch Phone Rate data format
#############################################################################
@gtRateTbl=
( 'r_cccode',                 # first digits of target phone number
  'r_rate',                   # rate in usa currency
  'r_loc',                    # location
  'r_time_zone'               # time zone code
);
#############################################################################
#  gt Switch time zone data format
#############################################################################
@gtTimeZoneTbl=
( 't_military',               # A thru Z military code
  't_adjustment',             # adjustment from GMT
  't_code',                   # time zone code
  't_description',            # time zone code description
  't_location'                # location(s) 
);
#############################################################################
#  Calendar data format
#############################################################################
@gtDataCal=
( 'd_id,id',
  'd_userid,loginid',
  'd_eventkey,eventkey',
  'd_phone,phonenum',
  'd_date,datestamp',
  'd_title,heading',
  'd_message,description',
  'd_durtime,duration time',
  'd_durunit,duration unit'
);
#############################################################################
#  Phone book data format
#############################################################################
@gtDataPhone=
( 'p_loginid',
  'p_id',
  'p_flag',
  'p_lname',
  'p_fname',
  'p_hphone',
  'p_bphone',
  'p_cphone',
  'p_pager',
  'p_company',
  'p_email',
  'p_address',
  'p_city',
  'p_state',
  'p_zip',
  'p_country',
  'p_webpage',
  'p_birthday',
  'p_notes',
  'p_category',
  'p_subcat',
  'p_sms'
);
#############################################################################
#  Destination services data format
#############################################################################
@gtDataDes=
( 'de_id,id',
  'de_city,city',
  'de_category,category',
  'de_subcat,subcat',
  'de_company,company',
  'de_address,address',
  'de_cross,cross',
  'de_phone,phone',
  'de_state,state',
  'de_zip,zip',
  'de_country,country'
);
#############################################################################
#  Affiliate data format
#############################################################################
@gtAffDB=
( aff_number,                    # req affiliate number
  aff_userid,                    # req email address
  aff_passwd,                    # req passwd
  aff_firstname,                 # req first name
  aff_lastname,                  # req last name
  aff_companyname,               # opt company name
  aff_street,                    # req street address
  aff_city,                      # req city
  aff_state,                     # opt state
  aff_zip,                       # opt zipcode
  aff_country,                   # req country
  aff_phonenum,                # opt Personal ID Number 
  aff_companyreg,                # opt company Register Number
  aff_status,                    # opt type of Affiliate
  aff_junk                       # opt blank
);
#############################################################################
#  Affiliate Signup Member & commision data format 
#############################################################################
@gtAffData=
( 'aff_number,strAffNumber,affnumber',
  'aff_userid,strEmail,loginid',
  'aff_passwd,strPassword,password',
  'aff_lastname,strLastName,lastname',
  'aff_firstname,strFirstName,firstname',
  'aff_companyname,strCompanyName,strCompanyName',
  'aff_street,strStreet,strStreet',
  'aff_city,strCity,strCity',
  'aff_state,strState,strState',
  'aff_zip,strZip,strZip',
  'aff_country,strCountry,strCountry',
  'aff_phonenum,strPhone,strPhone',
  'aff_companyreg,strCompanyReg,strCompanyReg',
  'aff_status,strStatus,strStatus'
);
@gtPackagePrice=
( 'vip,12.50,37.50,125.00',
  'vip_aff,9.95,29.85,99.50',
  'vip_aff_dis,5.99,17.97,59.99',
  'vip_dis,5.99,17.97,59.99',
  'vo,50.00,150.00,500.00'
);
@gtCommissionPackage=
( 'A,40%,0,0',
  'B,60%,10%,5%'
);
$gtgv{gtcomm} = 'A';
#############################################################################
#  800 number forwarding history database
#############################################################################
@gt800histDB=
( 'his_800number,u_forwardto,strForwardTo',
  'his_acctnum,u_userid,loginid',
  'his_email,u_email,strEmailAddress',
  'his_fname,u_firstname,firstname',
  'his_lname,u_lastname,lastname',
  'his_forwarding,u_followme,strFollowme',
  'his_startdate,u_startdate,datestamp1',
  'his_enddate,u_enddate,datestamp2'
);
#############################################################################
#  Payment History Database
#############################################################################
@gtPayDB=
( 'pay_paiddate,u_lastpaydate,datestamp',
  'pay_ordernum,order_num,order_num',
  'pay_800number,u_forwardto,strForwardTo',
  'pay_loginid,u_userid,loginid',
  'pay_affid,u_gtaffid,strGTAffID',
  'pay_fname,u_firstname,firstname',
  'pay_lname,u_lastname,lastname',
  'pay_account,u_account,strAccount',
  'pay_spayperiod,,strStartPayPeriod',
  'pay_epayperiod,,strEndPayPeriod',
  'pay_cpmmpackage,u_commpackage,strCommPackage',
  'pay_fee,u_fee,strFee',
  'pay_totalfee,,strTotalFee'
);
#############################################################################
#  Fail payment file Database
#############################################################################
@gtFailPayDB=
( 'fa_paiddate,u_lastpaydate,datestamp',
  'fa_800number,u_forwardto,strForwardTo',
  'fa_loginid,u_userid,loginid',
  'fa_affid,u_gtaffid,strGTAffID',
  'fa_fname,u_firstname,firstname',
  'fa_lname,u_lastname,lastname',
  'fa_account,u_account,strAccount',
  'fa_fee,u_fee,strFee',
  'fa_totalfee,,strTotalFee',
  'fa_failmessage,,strFailMessage'
);
#############################################################################
#  Fail payment file Database
#############################################################################
@gtSpecialDeal=
( 'u_affid,affid',
  'u_price1,special_price1',
  'u_price2,special_price2',
  'u_price3,special_price3',
  'u_maxquota,maxquota',
  'u_currentquota,currentquota'
);
#############################################################################
#  800 Forwarding Number data format
#############################################################################
@gtData800=
( 'fn_number',
  'fn_loginid'
);
#############################################################################
#  GTF Package Html Lookup
#############################################################################
@gtGTFHtml=
( 'A,signup_a_html',
  'B,signup_b_html',
  'C,signup_c_html',
  'D,signup_d_html'
);
#############################################################################
#  GTF Modification Html Lookup
#############################################################################
@gtGTFModify=
( 'A,update_gtf_a_html',
  'B,update_gtf_b_html',
  'C,update_gtf_c_html',
  'D,update_gtf_d_html'
);
#############################################################################
#  GTF Country signup form Html Lookup
#############################################################################
@gtGTFCountry=
( 'us,phone_list_file_us',
  'can,phone_list_file_can'
);
#############################################################################
#  GTF Email Notifiation Template Lookup
#############################################################################
@gtGTFEmailFollowme=
( 'A,email_followme_a',
  'B,email_followme_b',
  'C,email_followme_c',
  'D,email_followme_d'
);
#############################################################################
#  Billing data from Glen Chow's switch
#############################################################################
@gtBillGCDB=
( 'gc_custnum,Customer Number,1,15',
  'gc_datestate,Date Statement in Quotes,17,12',
  'gc_statenum,Statement Number,30,4',
  'gc_accessnum,Access Number (DID),35,16',
  'gc_originnum,Originating Number in Quotes,52,18',
  'gc_datecall,Date call made in Quotes,71,8',
  'gc_timecall,Time call in Quotes,80,7',
  'gc_termnum,Terminating Number in Quotes,88,17',
  'gc_termcity,Terminating City in Quotes,106,22',
  'gc_calldur,Call duration in minutes,129,5',
  'gc_callcharge,Call Charge,135,9',
  'gc_callchargel,Call Charge in local currency,145,9',
  'gc_datecallmade,Date Call made GMT,155,8',
  'gc_timecallmade,Time Call made GMT,164,6',
  'gc_timecallstart,Time Call started,171,6',
  'gc_timecallconnect,Time Call connect,178,6',
  'gc_timecallend,Time Call ended,185,6',
  'gc_referencenum,Reference number,192,13',
  'gc_datecallmadel,Date Call made Local time,206,8',
  'gc_timecallmadel,Time Call made Local time,215,6',
  'gc_ocountrycode,Originating Country code,222,4',
  'gc_oregioncode,Originating Region code,227,4',
  'gc_ocitycode,Originating City code,232,4',
  'gc_tcountrycode,Terminating Country code,237,4',
  'gc_tregioncode,Terminating Region code,242,4',
  'gc_tcitycode,Terminating City code,247,4',
  'gc_callcardpin,Calling Card PIN,252,4',
  'gc_description1,Surcharge #1 Description in Quotes,257,10',
  'gc_amount1,Surcharge #1 Charge Amount,268,7',
  'gc_description2,Surcharge #2 Description in Quotes,276,10',
  'gc_amount2,Surcharge #2 Charge Amount,287,7',
  'gc_description3,Surcharge #3 Description in Quotes,295,10',
  'gc_amount3,Surcharge #3 Charge Amount,306,7',
  'gc_crlf,CR/LF,314,1'
);
############################################################################
# authorizenet field values
############################################################################
@authorizeDB=
( 'an_Login',           # your login id at authorizenet
  'an_Invoice_Num',     # your invoice number
  'an_Description',     # your description for credit card debit
  'an_Cust_ID',         # your customer id, can be same as an_Invoice_Num

  'an_First_Name',      # first name of credit card owner
  'an_Last_Name',       # last name of credit card owner
  'an_Address',         # street address of credit card owner
  'an_City',            # city of credit card owner
  'an_State',           # state of credit card owner
  'an_Zip',             # zip code of credit card owner
  'an_Country',         # country code of credit card owner

  'an_Amount',          # amount to charge
  'an_Card_Num',        # credit card number
  'an_Exp_Date',        # credit card expiration date mm/yy

  'an_Type',            # set to AUTH_CAPTURE
  'an_Test_Request',    # set to TRUE or FALSE based on $xmode
  'an_Version',         # set to version number
  'an_ADC_Delim_Data',  # set to TRUE
  'an_ADC_URL',         # set to FALSE
  'an_Method',          # set to CC
  'an_Echo_Data'        # set to TRUE
);
1;
